/****** Imports vom Startup-File fr den LPC4088 auf dem Eigenbau-Eval-Board ******/

#ifndef STARTUP_INCLUDED
#define STARTUP_INCLUDED

/************** Clock-Definitionen aus dem Startup-Code *******/
#define CCLK        120000000  /* CPU-Takt 120 MHz */
#define UART0_CLK   36000000
#define UART1_CLK   36000000
#define UART2_CLK   36000000
#define UART3_CLK   36000000
#define TIMER0_CLK  36000000
#define SDCARD_CLK  36000000

/************** Dinge, die im Startup-Code vorhanden sind *****/

/* Restart-Grnde in 'Errors' */
#define istKaltstart         0
#define istWarmstart         1
#define istRaise             2
#define istHardFaultErr      4
#define istMemManageErr      8
#define istBusFaultErr      16
#define istUsageFaultErr    32
#define istWrongSwi         64
#define istNMI             128
#define istWeakInt         256
#define istDebugmonErr     512
#define istPendSVErr      1024
#define istSysTickErr     2048


extern  word   CgBWSP[];
extern  dword  ExtRamBegin[];
extern  dword  ExtRamSize;
extern  bool   SD_CardDetected;
extern  bool   SD_readonly;
extern  int64  SD_CardSize;
extern  int    SDCardTyp;      /* siehe sdio.h "Supported Memory Cards" */
extern  volatile dword Ticks;  /* Uhrzeit in 1 ms Schritten */

extern  dword  Errors;
extern  dword  ErrAddr;
extern  char*  Cpt;
extern  char*  von;
extern  char*  bis;
extern  dword  kzi;
extern  char   Kommandozeile[128];
extern  char   StartOfRam[];  /* interner RAM */
extern  char   EndOfRam[];    /* interner RAM */

extern char Manifest[];

#endif

/*  ---  */

